Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.snmp
Class SNMPClient

    java.lang.Object
      net.hyperic.snmp.SNMPClient

public class SNMPClient
extends java.lang.Object

Field Summary
`static java.lang.String` | `DEFAULT_COMMUNITY`
`static java.lang.String` | `DEFAULT_IP`
`static java.lang.String` | `DEFAULT_PASSWORD`
`static int` | `DEFAULT_PORT`
`static java.lang.String` | `DEFAULT_PORT_STRING`
`static java.lang.String` | `DEFAULT_USERNAME`
`static java.lang.String` | `PROP_AUTHTYPE`
`static java.lang.String` | `PROP_COMMUNITY`
`static java.lang.String` | `PROP_IP`
`static java.lang.String` | `PROP_PASSWORD`
`static java.lang.String` | `PROP_PORT`
`static java.lang.String` | `PROP_USER`
`static java.lang.String` | `PROP_VERSION`
`static java.lang.String[]` | `VALID_AUTHTYPES`
`static java.lang.String[]` | `VALID_VERSIONS`

Constructor Summary
`SNMPClient()`

Method Summary
`void` | `addJarMIBs(java.lang.String file)`
`void` | `addMIBs(java.lang.Class from, java.lang.String[] mibs)`
`static java.lang.String` | `getOID(java.lang.String mibName)`
`SNMPSession` | `getSession(ConfigResponse config)`
`SNMPSession` | `getSession(java.util.Properties props)`
`boolean` | `init(java.util.Properties props)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_IP

    public static final java.lang.String DEFAULT_IP

See Also:
  Constant Field Values

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

### DEFAULT_PORT_STRING

    public static final java.lang.String DEFAULT_PORT_STRING

### DEFAULT_COMMUNITY

    public static final java.lang.String DEFAULT_COMMUNITY

See Also:
  Constant Field Values

### DEFAULT_USERNAME

    public static final java.lang.String DEFAULT_USERNAME

See Also:
  Constant Field Values

### DEFAULT_PASSWORD

    public static final java.lang.String DEFAULT_PASSWORD

See Also:
  Constant Field Values

### VALID_VERSIONS

    public static final java.lang.String[] VALID_VERSIONS

### VALID_AUTHTYPES

    public static final java.lang.String[] VALID_AUTHTYPES

### PROP_IP

    public static final java.lang.String PROP_IP

See Also:
  Constant Field Values

### PROP_PORT

    public static final java.lang.String PROP_PORT

See Also:
  Constant Field Values

### PROP_VERSION

    public static final java.lang.String PROP_VERSION

See Also:
  Constant Field Values

### PROP_COMMUNITY

    public static final java.lang.String PROP_COMMUNITY

See Also:
  Constant Field Values

### PROP_USER

    public static final java.lang.String PROP_USER

See Also:
  Constant Field Values

### PROP_PASSWORD

    public static final java.lang.String PROP_PASSWORD

See Also:
  Constant Field Values

### PROP_AUTHTYPE

    public static final java.lang.String PROP_AUTHTYPE

See Also:
  Constant Field Values

Constructor Detail

### SNMPClient

    public SNMPClient()

Method Detail

### addJarMIBs

    public void addJarMIBs(java.lang.String file)

### addMIBs

    public void addMIBs(java.lang.Class from,
                        java.lang.String[] mibs)

### getOID

    public static java.lang.String getOID(java.lang.String mibName)

### init

    public boolean init(java.util.Properties props)
                 throws SNMPException

  Throws:
    `SNMPException`

### getSession

    public SNMPSession getSession(ConfigResponse config)
                           throws SNMPException

  Throws:
    `SNMPException`

### getSession

    public SNMPSession getSession(java.util.Properties props)
                           throws SNMPException

  Throws:
    `SNMPException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.